Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063071 - while reporting (and failing to report) the user is left in the dark about what program crashed
Summary: while reporting (and failing to report) the user is left in the dark about wh...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 21:35 UTC by Paul Wouters
Modified: 2016-12-01 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-11 09:34:26 UTC
pwouters: needinfo+


Attachments (Terms of Use)

Description Paul Wouters 2014-02-09 21:35:19 UTC
gnome-abort never tells the user what program crashed.  Perhaps it uploads that to Red Hat, but (particularly if the upload fails or is never attempted), the user has no idea what is crashing or how to uninstall it so the crashing will stop.

It would be nice if the user is informed at the beginning which program/package crashed.

Comment 1 Jakub Filak 2014-02-10 08:10:10 UTC
Thank you for the report! There must be a bug because gnome-abrt displays package which the crashed executable belongs to [1]. Could you please attach a screen shot of the main window and archive with dump directory of the problem which misses package?


1: https://github.com/abrt/abrt/wiki/gnome-abrt

Comment 2 Paul Wouters 2014-02-10 14:16:43 UTC
I dont think i have that anymore, but you are right. There was a cascading failure as we tried to report the bug, and the bug reporter crashed starting the "emergency bug reporter" which also crashed.

Comment 3 Jakub Filak 2014-11-11 09:34:26 UTC
Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide more information, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.